> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Configuration

> Replaces the full exam configuration with the provided payload including scheduling, permitted items, proctoring settings, and instructor-as-proctor entries.<br/><br/>The user role from the auth token is passed to the handler for role-based logic.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json put /v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations/{examConfigurationSid}
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations/{examConfigurationSid}:
    put:
      tags:
        - Exam Configuration
      summary: Update Configuration
      description: >-
        Replaces the full exam configuration with the provided payload including
        scheduling, permitted items, proctoring settings, and
        instructor-as-proctor entries.<br/><br/>The user role from the auth
        token is passed to the handler for role-based logic.
      operationId: >-
        putV1InstallsInstallsidCoursesCoursesidExamsExamsidConfigurationsExamconfigurationsid
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Application install sid
            pattern: ^AI[a-f0-9]{32}$
          description: Application install sid
          required: true
        - name: courseSid
          in: path
          schema:
            type: string
            description: Course Sid
            pattern: ^CU[a-f0-9]{32}$
          description: Course Sid
          required: true
        - name: examSid
          in: path
          schema:
            type: string
            description: Exam Sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam Sid
          required: true
        - name: examConfigurationSid
          in: path
          schema:
            type: string
            description: Exam Configuration sid
            pattern: ^EC[a-f0-9]{32}$
          description: Exam Configuration sid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExamConfigurationUpdate'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExamConfigurationResponse'
components:
  schemas:
    ExamConfigurationUpdate:
      type: object
      description: Exam configuration update payload
      properties:
        instructorAsProctor:
          $ref: '#/components/schemas/Model71'
        examOpenDate:
          type: string
          description: Exam Open Date
          example: '1970-01-01T00:00:00.000Z'
          pattern: .*Z
          x-format:
            isoDate: true
        examCloseDate:
          type: string
          description: Exam Close Date
          example: '1970-01-01T00:00:00.000Z'
          pattern: .*Z
          x-format:
            isoDate: true
        scheduleOpenDate:
          type: string
          description: Schedule Open Date
          example: '1970-01-01T00:00:00.000Z'
          pattern: .*Z
          x-format:
            isoDate: true
        scheduleCloseDate:
          type: string
          description: Schedule Close Date
          example: '1970-01-01T00:00:00.000Z'
          pattern: .*Z
          x-format:
            isoDate: true
        enrollmentSid:
          type: string
          description: Enrollment sid
          pattern: ^EN[a-f0-9]{32}$
        url:
          type: string
          nullable: true
        password:
          type: string
          description: Password
        duration:
          type: integer
          description: Duration Minutes
          x-constraint:
            sign: positive
        attempts:
          type: integer
          description: Attempts Allowed
          x-constraint:
            sign: positive
        requiredSoftware:
          type: string
          description: Required Software
          nullable: true
        studentNotes:
          type: string
          description: Student Notes
          nullable: true
        permittedBathroomBreak:
          type: boolean
          description: Is Bathroom Break permitted
        permittedBathroomBreakInformation:
          type: string
          description: Additional Information about bathroom break
          nullable: true
        permittedBlankPaper:
          type: boolean
          description: Is blank paper permitted
        permittedBlankPaperInformation:
          type: string
          description: Additional Information about blank paper
          nullable: true
        permittedCalculator:
          type: boolean
          description: Is calculator permitted
        permittedCalculatorInformation:
          type: string
          description: Additional Information about calculator
          nullable: true
        permittedDictionary:
          type: boolean
          description: Is Dictionary permitted
        permittedDictionaryInformation:
          type: string
          description: Additional Information about Dictionary
          nullable: true
        permittedEarplugs:
          type: boolean
          description: Is Earplugs permitted
        permittedEarplugsInformation:
          type: string
          description: Additional Information about Earplugs
          nullable: true
        permittedFormulaSheet:
          type: boolean
          description: Is FormulaSheet permitted
        permittedFormulaSheetInformation:
          type: string
          description: Additional Information about FormulaSheet
          nullable: true
        permittedNotes:
          type: boolean
          description: Is Notes permitted
        permittedNotesInformation:
          type: string
          description: Additional Information about Notes
          nullable: true
        permittedOtherItems:
          type: string
          description: Other permitted Items
          nullable: true
        permittedTextbook:
          type: boolean
          description: Is Textbook permitted
        permittedTextbookInformation:
          type: string
          description: Additional Information about Textbook
          nullable: true
        permittedWebsites:
          type: boolean
          description: Is Websites permitted
        permittedWebsitesInformation:
          type: string
          description: Additional Information about Websites
          nullable: true
        proctorNotes:
          type: string
          description: Proctor Notes
          nullable: true
        proctorTypes:
          $ref: '#/components/schemas/Model72'
        refConfigSid:
          type: string
          description: reference configuration sid
          pattern: ^EC[a-f0-9]{32}$
        attachments:
          $ref: '#/components/schemas/attachments'
        modalityOptions:
          $ref: '#/components/schemas/modalityOptions'
      required:
        - instructorAsProctor
        - permittedBathroomBreak
        - permittedBathroomBreakInformation
        - permittedBlankPaper
        - permittedBlankPaperInformation
        - permittedCalculator
        - permittedCalculatorInformation
        - permittedDictionary
        - permittedDictionaryInformation
        - permittedEarplugs
        - permittedEarplugsInformation
        - permittedFormulaSheet
        - permittedFormulaSheetInformation
        - permittedNotes
        - permittedNotesInformation
        - permittedOtherItems
        - permittedTextbook
        - permittedTextbookInformation
        - permittedWebsites
        - permittedWebsitesInformation
    ExamConfigurationResponse:
      type: object
      properties:
        sid:
          type: string
          description: Configuration SID
          nullable: true
        examSid:
          type: string
          description: Exam SID
          nullable: true
        enrollmentSid:
          type: string
          description: Enrollment SID
          nullable: true
        referenceExamConfigurationSid:
          type: string
          description: Reference exam configuration SID
          nullable: true
        type:
          type: string
          description: Configuration type
          nullable: true
        examOpenDate:
          type: string
          description: Exam open date
          nullable: true
        examCloseDate:
          type: string
          description: Exam close date
          nullable: true
        scheduleOpenDate:
          type: string
          description: Schedule open date
          nullable: true
        scheduleCloseDate:
          type: string
          description: Schedule close date
          nullable: true
        password:
          type: string
          description: Exam password
          nullable: true
        url:
          type: string
          description: Exam URL
          nullable: true
        duration:
          type: number
          description: Duration in minutes
          nullable: true
        attempts:
          type: number
          description: Number of attempts
          nullable: true
        attemptsRemaining:
          type: number
          description: Attempts remaining
          nullable: true
        locked:
          type: boolean
          description: Whether locked
          nullable: true
        approved:
          type: boolean
          description: Whether approved
          nullable: true
        approvedBy:
          type: string
          description: Approved by
          nullable: true
        requiredSoftware:
          type: string
          description: Required software
          nullable: true
        studentNotes:
          type: string
          description: Student notes
          nullable: true
        permittedBathroomBreak:
          type: boolean
          description: Bathroom break permitted
          nullable: true
        permittedBathroomBreakInformation:
          type: string
          description: Bathroom break info
          nullable: true
        permittedBlankPaper:
          type: boolean
          description: Blank paper permitted
          nullable: true
        permittedBlankPaperInformation:
          type: string
          description: Blank paper info
          nullable: true
        permittedCalculator:
          type: boolean
          description: Calculator permitted
          nullable: true
        permittedCalculatorInformation:
          type: string
          description: Calculator info
          nullable: true
        permittedDictionary:
          type: boolean
          description: Dictionary permitted
          nullable: true
        permittedDictionaryInformation:
          type: string
          description: Dictionary info
          nullable: true
        permittedEarplugs:
          type: boolean
          description: Earplugs permitted
          nullable: true
        permittedEarplugsInformation:
          type: string
          description: Earplugs info
          nullable: true
        permittedFormulaSheet:
          type: boolean
          description: Formula sheet permitted
          nullable: true
        permittedFormulaSheetInformation:
          type: string
          description: Formula sheet info
          nullable: true
        permittedNotes:
          type: boolean
          description: Notes permitted
          nullable: true
        permittedNotesInformation:
          type: string
          description: Notes info
          nullable: true
        permittedOtherItems:
          type: string
          description: Other permitted items
          nullable: true
        permittedTextbook:
          type: boolean
          description: Textbook permitted
          nullable: true
        permittedTextbookInformation:
          type: string
          description: Textbook info
          nullable: true
        permittedWebsites:
          type: boolean
          description: Websites permitted
          nullable: true
        permittedWebsitesInformation:
          type: string
          description: Websites info
          nullable: true
        apiExamId:
          type: string
          description: API exam ID
          nullable: true
        examSyncStatus:
          type: string
          description: Exam sync status
          nullable: true
        virtualCalculatorType:
          type: string
          description: Virtual calculator type
          nullable: true
        synchronization:
          type: string
          description: Synchronization info
          nullable: true
        proctorNotes:
          type: string
          description: Proctor notes
          nullable: true
        proctorTypes:
          $ref: '#/components/schemas/Model33'
        attachments:
          type: string
          description: Attachments
          nullable: true
        examFiles:
          type: string
          description: Exam files
          nullable: true
        instructorAsProctor:
          $ref: '#/components/schemas/Model34'
        exam:
          type: string
          description: Associated exam
          nullable: true
        course:
          type: string
          description: Associated course
          nullable: true
        enrollment:
          type: string
          description: Associated enrollment
          nullable: true
        createdDate:
          type: string
          description: Created date
          nullable: true
        editDate:
          type: string
          description: Last modified date
          nullable: true
        instructor:
          type: string
          description: Instructor details
          nullable: true
        modalityOptions:
          type: string
          description: Modality options
          nullable: true
        updatedAutomatedSessions:
          type: string
          description: Updated automated sessions
          nullable: true
    Model71:
      type: array
      description: List of Instructor as Proctor
      items:
        $ref: '#/components/schemas/Model70'
    Model72:
      type: array
      description: Types of proctor for exam
      items:
        type: string
        pattern: ^TS[a-f0-9]{32}$
    attachments:
      type: array
      description: Exam attachments
      minItems: 1
      maxItems: 5
      items:
        $ref: '#/components/schemas/Model73'
    modalityOptions:
      type: object
      description: List of modality options
      default: {}
    Model33:
      type: array
      description: Proctor types
      nullable: true
      items:
        type: string
    Model34:
      type: array
      description: Instructor as proctor
      nullable: true
      items:
        type: string
    Model70:
      type: object
      description: Exam Configuration Instructor Proctor payload
      properties:
        sid:
          type: string
          description: instructorAsProctor sid
          pattern: ^CP[a-f0-9]{32}$
        location:
          type: string
          description: Location
        timeType:
          $ref: '#/components/schemas/timeType'
        startTime:
          type: string
          description: Start Time
          example: '1970-01-01T00:00:00.000Z'
          pattern: .*Z
          x-format:
            isoDate: true
        endTime:
          type: string
          description: End Time
        capacity:
          type: number
          description: Capacity
          nullable: true
      required:
        - location
        - timeType
        - startTime
        - endTime
    Model73:
      type: object
      properties:
        attachmentUrl:
          type: string
          description: Attachment AWS URL
        attachmentAwsTitle:
          type: string
          description: Attachment AWS Title
    timeType:
      type: string
      description: Time Type
      enum:
        - between
        - at
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````